Вопрос по бетриву и первазиву (+)

Обсуждение технических вопросов по продуктам Novell

Вопрос по бетриву и первазиву (+)

Сообщение Сергей ака godless » 22 фев 2005, 14:52

Народ, подскажите, меня тут смутили несколько ...

Есть два сервера, NW 4.0 и NW 5.0. Хочется проапгрэйдить всё это хозяйство на 5.1 или даже на 6.0 ...
Но говорят что есть старые базы на битрэйве, которые раз в год где то нужны, и что на 6.0, а возможно и на 5.1 они не будут работать поскольку в 5.1 и 6.0 всего по одной лицензии на битрив и на первазив тоже ...

Насколько верно это заявление и что оно значит, как выходить из положения ??

Спасибо ...
"И да будет так ..." - как говаривал король Артур ...
Аватара пользователя
Сергей ака godless
 
Сообщения: 559
Зарегистрирован: 17 сен 2003, 15:38
Откуда: Moscow

Re: Вопрос по бетриву и первазиву (+)

Сообщение alexp_mac » 22 фев 2005, 16:36

Сергей ака godless писал(а):Народ, подскажите, меня тут смутили несколько ...

Есть два сервера, NW 4.0 и NW 5.0. Хочется проапгрэйдить всё это хозяйство на 5.1 или даже на 6.0 ...
Но говорят что есть старые базы на битрэйве, которые раз в год где то нужны, и что на 6.0, а возможно и на 5.1 они не будут работать поскольку в 5.1 и 6.0 всего по одной лицензии на битрив и на первазив тоже ...

Насколько верно это заявление и что оно значит, как выходить из положения ??

Спасибо ...


1.Если битрив в этих базах локальный то пофиг.
2.Если битрив серверный, то надо думать, т.к нетварь использует битрив для хранения своей лабуды, и при апгрейде собстно btrieve.nlm будет заменен на новый, который бел лишних лицензий (т.е. или одна или две). тут надо подумать. У меня на 5.1 спокойно 615 битрив живет и ничего. Токма ему ipx нужен.
alexp_mac
 
Сообщения: 788
Зарегистрирован: 28 июн 2002, 10:50

Так вопрос в работоспособности или в лицензиях?

Сообщение Boris Morozov » 23 фев 2005, 02:08

Работать будет железно, у первазива совместимость со старыми версиями баз полная, делать с ними просто ничего не надо. Двух серверных лицензий вам тоже хватит, тем более, что ихняя версия 2000i на локальной машине работает без всяких лицензий.
Boris Morozov
 
Сообщения: 1333
Зарегистрирован: 05 июн 2002, 22:24
Откуда: Минск

Re: Так вопрос в работоспособности или в лицензиях?

Сообщение Lab » 02 мар 2005, 23:10

Boris Morozov писал(а):..... ихняя версия 2000i на локальной машине работает без всяких лицензий.


Поясните пожалуйста, requester- не забирает лицензии или вы "не про это" :)
Lab
 
Сообщения: 196
Зарегистрирован: 08 дек 2003, 13:57
Откуда: Москва

Я имел в виду, что Engine ставится на станцию и

Сообщение Boris Morozov » 06 мар 2005, 01:13

работает с базами на локальных дисках и при этом не хочет никаких лицензий. И если вам надо изредка работать с базами, то никто не мешает их скинуть на локальный диск и отработать.
Boris Morozov
 
Сообщения: 1333
Зарегистрирован: 05 июн 2002, 22:24
Откуда: Минск

Re: Вопрос по бетриву и первазиву (+)

Сообщение Dimerson » 06 мар 2005, 11:37

Сергей ака godless писал(а):Народ, подскажите, меня тут смутили несколько ...

Есть два сервера, NW 4.0 и NW 5.0. Хочется проапгрэйдить всё это хозяйство на 5.1 или даже на 6.0 ...
Но говорят что есть старые базы на битрэйве, которые раз в год где то нужны, и что на 6.0, а возможно и на 5.1 они не будут работать поскольку в 5.1 и 6.0 всего по одной лицензии на битрив и на первазив тоже ...

Насколько верно это заявление и что оно значит, как выходить из положения ??

Спасибо ...


Сергей - сначала определитесь сколько пользователей у вас будут работать с Btrieve . Если много - то увы - с NW6+ уже идет Pervasive SQL2000 [с 6.5 наверное Pervasive SQL8 ? или все еще 2000 ?].

Совместимость с досовскими приложениями сохраняется - то есть brequest и вперед [если возникли проблемы с Btrieve 32-Bit Requester].

Если вам надо много пользователей - всегда можно докупить серверные лицензии и установить [.. другие возможности являются здесь offoipic].

По поводу формата баз - если у вас файлы в формате 5,6,7,8 Btrieve то сервер с ними будет работать замечательно . Причем можно принудительно указать какой версии будут вновь создаваемые файлы.

В общем как мне видится проблемы не в совместимости а в необходимости приобрести дополнительные пользовательские лицензии.

20 Пользователей = 2000$ примерно.
6 Пользователей - примерно 850$.

Думаю если у вас редко испоьзуются небольшое число приложений -
подберете сколько вам надо.
Аватара пользователя
Dimerson
 
Сообщения: 2788
Зарегистрирован: 15 сен 2002, 14:39
Откуда: Регион 70


Вернуться в Novell

Кто сейчас на конференции

Сейчас этот форум просматривают: нет зарегистрированных пользователей и гости: 3